Package org.eclipse.net4j.signal

# Class RemoteException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.net4j.util.io.RemoteException
org.eclipse.net4j.signal.RemoteException

All Implemented Interfaces:
  `Serializable`

public class RemoteException extends org.eclipse.net4j.util.io.RemoteException
An exception that wraps an exception that has been thrown during the execution of a remote `signal`.

Since:
  2.0
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RemoteException(String message, boolean whileResponding)`
`RemoteException(Throwable remoteCause, RequestWithConfirmation<?> localRequest, boolean whileResponding)`

## Method Summary

Modifier and Type
Method
Description
`RequestWithConfirmation<?>`
`getLocalRequest()`
`StackTraceElement[]`
`getLocalStackTrace()`
Returns the local stack as it stood at the time that the remote exception was detected locally.
`void`
`setLocalStacktrace(StackTraceElement[] stackTrace)`
`boolean`
`whileResponding()`

### Methods inherited from class org.eclipse.net4j.util.io.RemoteException

`unwrap`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RemoteException

public RemoteException(Throwable remoteCause, RequestWithConfirmation<?> localRequest, boolean whileResponding)

Since:
  4.0

### RemoteException

public RemoteException(String message, boolean whileResponding)

## Method Details

### whileResponding

public boolean whileResponding()

### getLocalRequest

public RequestWithConfirmation<?> getLocalRequest()

Since:
  4.0

### setLocalStacktrace

public void setLocalStacktrace(StackTraceElement[] stackTrace)

Since:
  4.0

### getLocalStackTrace

public StackTraceElement[] getLocalStackTrace()
Returns the local stack as it stood at the time that the remote exception was detected locally. Note that no local problem occurred at the point in the code identified by this stacktrace.

Since:
  4.0